Bug 445410 - Review Request: sac - Java standard interface for CSS parser
Summary: Review Request: sac - Java standard interface for CSS parser
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-06 19:00 UTC by Caolan McNamara
Modified: 2008-05-09 20:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-09 20:01:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Caolan McNamara 2008-05-06 19:00:26 UTC
Spec URL: http://people.redhat.com/caolanm/jfreereport/sac.spec
SRPM URL: http://people.redhat.com/caolanm/jfreereport/sac-1.3-3jpp.fc9.src.rpm
Description: Java standard interface for CSS parser

and is a jfreereport dependency (which itself will be an openoffice.org) dependency

Comment 1 Caolan McNamara 2008-05-06 19:04:51 UTC
It's not exactly clear to me if I want e.g. sac for rawhide/F-10 and it's
already packaged by jpackage if I should use a n-v-r which is >= the equivalent
jpackage n-v-r or not.

Comment 2 Andrew Overholt 2008-05-07 13:03:18 UTC
See this for release numbering:

http://fedoraproject.org/wiki/Packaging/JPackagePolicy

I'll take this one.

Comment 3 Andrew Overholt 2008-05-09 16:11:13 UTC
The specfile looks fine except for:

- fix the release as per the URL in comment #2
- description a bit poorly worded
- don't drop the JPackage changelog (if there is one)

It sucks that they don't have a build.xml but the simple one written by the
JPackage packager is fine.

Don't worry about the rpmlint warning about the group.

Comment 5 Andrew Overholt 2008-05-09 16:39:44 UTC
Looks good to me.  Approved.

Comment 6 Caolan McNamara 2008-05-09 18:03:19 UTC
New Package CVS Request
=======================
Package Name: sac
Short Description: Java standard interface for CSS parser
Owners: caolanm
Branches: 
InitialCC:
Cvsextras Commits: yes


Comment 7 Kevin Fenzi 2008-05-09 19:26:38 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.